searchNodes=[{"ref":"Mix.Tasks.Pseudoloc.html","title":"Mix.Tasks.Pseudoloc","type":"task","doc":"Mix task for pseudolocalizing the Gettext data files. $ mix pseudoloc priv/gettext"},{"ref":"Pseudoloc.html","title":"Pseudoloc","type":"module","doc":"Creates a pseudolocalized translation of Gettext data files. Because this module is designed to work with Gettext, it specifically ignores interpolated sections of the strings it localizes."},{"ref":"Pseudoloc.html#get_localizable_ranges/1","title":"Pseudoloc.get_localizable_ranges/1","type":"function","doc":"Gets the ranges within the text that need to be localized. In other words, the ranges of the text that are not interpolations. Returns a list of tuples containing the index and length of each range to be localized. Examples A string with no interpolations: iex&gt; Pseudoloc.get_localizable_ranges(&quot;foo&quot;) [{0, 3}] A string consisting of only interpolations: iex&gt; Pseudoloc.get_localizable_ranges(&quot;%{foo}&quot;) [] A string containing multiple interpolations: iex&gt; Pseudoloc.get_localizable_ranges(&quot;foo%{bar}baz%{quux}quuux&quot;) [{0, 3}, {9, 3}, {19, 5}]"},{"ref":"Pseudoloc.html#localize_grapheme/2","title":"Pseudoloc.localize_grapheme/2","type":"function","doc":"Localizes the grapheme if there are valid alternates. Examples Returns the grapheme unchanged if there are no alternates: iex&gt; Pseudoloc.localize_grapheme(&quot;a&quot;, %{&quot;b&quot; =&gt; [&quot;ḅ&quot;]}) &quot;a&quot; Returns a random alternative if they exist: iex&gt; Pseudoloc.localize_grapheme(&quot;a&quot;, %{&quot;a&quot; =&gt; [&quot;α&quot;]}) &quot;α&quot; iex&gt; alts = [&quot;1&quot;, &quot;2&quot;, &quot;3&quot;] iex&gt; Pseudoloc.localize_grapheme(&quot;a&quot;, %{&quot;a&quot; =&gt; alts}) in alts true"},{"ref":"Pseudoloc.html#localize_range/3","title":"Pseudoloc.localize_range/3","type":"function","doc":"Localizes text within the range with the alternates. Examples iex&gt; Pseudoloc.localize_range(&quot;foo&quot;, {1, 1}, %{&quot;o&quot; =&gt; [&quot;ṓ&quot;]}) &quot;fṓo&quot;"},{"ref":"Pseudoloc.html#localize_string/1","title":"Pseudoloc.localize_string/1","type":"function","doc":"Localizes text with the default alternates. See localize_string/2 for details."},{"ref":"Pseudoloc.html#localize_string/2","title":"Pseudoloc.localize_string/2","type":"function","doc":"Localizes text with the given alternates. Examples Localizing the non-interpolated sections of a string: iex&gt; alternates = %{&quot;a&quot; =&gt; [&quot;α&quot;], &quot;f&quot; =&gt; [&quot;ϝ&quot;], &quot;u&quot; =&gt; [&quot;ṵ&quot;]} iex&gt; text = &quot;foo%{bar}baz%{quux}quuux&quot; iex&gt; Pseudoloc.localize_string(text, alternates) &quot;ϝoo%{bar}bαz%{quux}qṵṵṵx&quot;"},{"ref":"Pseudoloc.html#t:alternates/0","title":"Pseudoloc.alternates/0","type":"type","doc":"A mapping of individual graphemes to a list of alternate representations. Both the key and all entries in the value list should be a single character. Examples %{ &quot;a&quot; =&gt; [&quot;à&quot;, &quot;á&quot;, &quot;å&quot;], &quot;b&quot; =&gt; [&quot;ḅ&quot;] }"},{"ref":"Pseudoloc.html#t:range/0","title":"Pseudoloc.range/0","type":"type","doc":"Represents a range of text within a string by starting index and length."},{"ref":"code_of_conduct.html","title":"Code of Conduct","type":"extras","doc":"Code of Conduct"},{"ref":"code_of_conduct.html#our-pledge","title":"Code of Conduct - Our Pledge","type":"extras","doc":"In the interest of fostering an open and welcoming environment, we as contributors and maintainers pledge to making participation in our project and our community a harassment-free experience for everyone, regardless of age, body size, disability, ethnicity, gender identity and expression, level of experience, nationality, personal appearance, race, religion, or sexual identity and orientation."},{"ref":"code_of_conduct.html#our-standards","title":"Code of Conduct - Our Standards","type":"extras","doc":"Examples of behavior that contributes to creating a positive environment include: Using welcoming and inclusive language Being respectful of differing viewpoints and experiences Gracefully accepting constructive criticism Focusing on what is best for the community Showing empathy towards other community members Examples of unacceptable behavior by participants include: The use of sexualized language or imagery and unwelcome sexual attention or advances Trolling, insulting/derogatory comments, and personal or political attacks Public or private harassment Publishing others&#39; private information, such as a physical or electronic address, without explicit permission Other conduct which could reasonably be considered inappropriate in a professional setting"},{"ref":"code_of_conduct.html#our-responsibilities","title":"Code of Conduct - Our Responsibilities","type":"extras","doc":"Project maintainers are responsible for clarifying the standards of acceptable behavior and are expected to take appropriate and fair corrective action in response to any instances of unacceptable behavior. Project maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, or to ban temporarily or permanently any contributor for other behaviors that they deem inappropriate, threatening, offensive, or harmful."},{"ref":"code_of_conduct.html#scope","title":"Code of Conduct - Scope","type":"extras","doc":"This Code of Conduct applies both within project spaces and in public spaces when an individual is representing the project or its community. Examples of representing a project or community include using an official project e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event. Representation of a project may be further defined and clarified by project maintainers."},{"ref":"code_of_conduct.html#enforcement","title":"Code of Conduct - Enforcement","type":"extras","doc":"Instances of abusive, harassing, or otherwise unacceptable behavior may be reported by contacting the project team at lee@lee-dohm.com. All complaints will be reviewed and investigated and will result in a response that is deemed necessary and appropriate to the circumstances. The project team is obligated to maintain confidentiality with regard to the reporter of an incident. Further details of specific enforcement policies may be posted separately. Project maintainers who do not follow or enforce the Code of Conduct in good faith may face temporary or permanent repercussions as determined by other members of the project&#39;s leadership."},{"ref":"code_of_conduct.html#attribution","title":"Code of Conduct - Attribution","type":"extras","doc":"This Code of Conduct is adapted from the Contributor Covenant, version 1.4, available at http://contributor-covenant.org/version/1/4"},{"ref":"contributing.html","title":"Contributing","type":"extras","doc":"Contributing 👍🎉 First off, thanks for taking the time to contribute! 🎉👍 Our README describes the project, its purpose, and is necessary reading for contributors. This project adheres to a code of conduct. By participating, you are expected to uphold this code. Contributions to this project are made under the MIT License."},{"ref":"contributing.html#help-wanted","title":"Contributing - Help wanted","type":"extras","doc":"Browse open issues to see current requests. Open an issue to tell us about a bug. You may also open a pull request to propose specific changes, but it&#39;s always OK to start with an issue. Help with translating the website into other languages."},{"ref":"contributing.html#setting-up-the-development-environment","title":"Contributing - Setting up the development environment","type":"extras","doc":"You&#39;ll need to: Install PostgreSQL and start it Execute createuser --createdb postgres to create the standard development database user Create a GitHub OAuth app - set the callback URL to http://localhost:4000/auth/callback Copy .env.example to .env and set the GITHUB_CLIENT_ID and GITHUB_CLIENT_SECRET values to the ones obtained from the application in the previous step Run script/setup"},{"ref":"contributing.html#common-local-development-tasks","title":"Contributing - Common Local Development Tasks","type":"extras","doc":"This project follows the GitHub &quot;scripts to rule them all&quot; pattern. The contents of the scripts directory are scripts that cover all common tasks: script/setup &mdash; Performs first-time setup script/update &mdash; Performs periodic updating script/test &mdash; Runs automated tests, format and linter checks script/server &mdash; Launches the local development web server script/console &mdash; Opens the development console script/db-console &mdash; Opens the database console for the development database script/docs &mdash; Generates developer documentation script/translate &mdash; Extract and merge new message strings in priv/gettext See the documentation at the top of each script for more information about what each one does and is capable of. Other scripts that are available but not intended to be used directly by developers: script/bootstrap &mdash; Used to do a one-time install of all prerequisites for a development machine script/cibuild &mdash; Used to run automated tests in the CI environment"},{"ref":"contributing.html#heroku-hosting-notes","title":"Contributing - Heroku Hosting Notes","type":"extras","doc":"Heroku restricts us to 20 simultaneous database connections. We divide them like this: 14 connections for serving normal traffic 2 for scheduled tasks 2 for manual maintenance (see Executing Scripts) 2 reserved for future use Executing Scripts Occasionally, certain maintenance will need to be executed on staging or production. This is best achieved by the means of Elixir scripts. This way, they can be tested locally before we potentially screw up production. To execute a script in a Heroku environment, execute: heroku run &quot;POOL_SIZE=2 mix run path/to/script.exs&quot; The POOL_SIZE environment variable restricts the number of database connections that the task can utilize, since Heroku restricts us to 20 simultaneous database connections."},{"ref":"contributing.html#writing-tests","title":"Contributing - Writing Tests","type":"extras","doc":"Controller specs should verify: HTTP Status Redirects Assigns Session values Controller specs should not verify content View specs should verify that given the expected assigns, the right content is displayed"},{"ref":"contributing.html#translations","title":"Contributing - Translations","type":"extras","doc":"If you would like to help with translating Atom Tweaks into languages other than US English, you can: Create a new directory under priv/gettext that is the name of the locale for which you will be providing a translation (for example, to provide a translation for Brazilian Portuguese, it would be priv/gettext/pt_BR) Run the script/translate script to extract and merge the latest version of the strings Add your translations to the .po files under your new directory Submit a PR with your changes See the Gettext documentation for information about the file format."},{"ref":"contributing.html#resources","title":"Contributing - Resources","type":"extras","doc":"Contributing to Open Source on GitHub Using Pull Requests GitHub Help"},{"ref":"readme.html","title":"README","type":"extras","doc":"Pseudoloc A library and Mix task for pseudolocalizing Gettext data files."},{"ref":"readme.html#installation","title":"README - Installation","type":"extras","doc":"If available in Hex, the package can be installed by adding pseudoloc to your list of dependencies in mix.exs: def deps do [ {:pseudoloc, &quot;~&gt; 0.2.1&quot;} ] end"},{"ref":"readme.html#license","title":"README - License","type":"extras","doc":"MIT"},{"ref":"license.html","title":"License","type":"extras","doc":"The MIT License (MIT) Copyright &copy; 2019 Lee Dohm Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE."}]